Package commoble.jumbofurnace.advancements

# Class UpgradeJumboFurnaceTrigger.UpgradeJumboFurnaceCriterion

java.lang.Object
net.minecraft.advancements.critereon.AbstractCriterionTriggerInstance
commoble.jumbofurnace.advancements.UpgradeJumboFurnaceTrigger.UpgradeJumboFurnaceCriterion

All Implemented Interfaces:
  `net.minecraft.advancements.CriterionTriggerInstance`

Enclosing class:
  UpgradeJumboFurnaceTrigger

public static class UpgradeJumboFurnaceTrigger.UpgradeJumboFurnaceCriterion extends net.minecraft.advancements.critereon.AbstractCriterionTriggerInstance

## Constructor Summary

Constructors
Constructor
Description
`UpgradeJumboFurnaceCriterion(net.minecraft.advancements.critereon.ContextAwarePredicate predicate, net.minecraft.advancements.critereon.ItemPredicate itemPredicate)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(net.minecraft.world.item.ItemStack stack)`

### Methods inherited from class net.minecraft.advancements.critereon.AbstractCriterionTriggerInstance

`getCriterion, getPlayerPredicate, serializeToJson, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UpgradeJumboFurnaceCriterion

public UpgradeJumboFurnaceCriterion(net.minecraft.advancements.critereon.ContextAwarePredicate predicate, net.minecraft.advancements.critereon.ItemPredicate itemPredicate)

## Method Details

### test

public boolean test(net.minecraft.world.item.ItemStack stack)